#include "MyCircle.hpp"

//--------------------------------------------------------------
void MyCircle::setup(float initX, float initY){
    x=initX;
    y=initY;
    minRadius=35;
    maxRadius=70;
    counter=0;
    speedX=ofRandomf()*5;// same as ofRandom(-2,2)
    speedY=ofRandomf()*5;
}

//--------------------------------------------------------------
void MyCircle::update(){
    counter+=0.1;
    sineRadius=ofMap(sin(counter),-1,1,minRadius,maxRadius);
    x+=speedX;
    y+=speedY;
    if(x<0 || x>ofGetWidth()) speedX*=-1;
    if(y<0 || y>ofGetHeight()) speedY*=-1;
}

//--------------------------------------------------------------
void MyCircle::draw(){
    ofSetColor(127, 0, 255,100);
    ofDrawCircle(x,y,sineRadius);
    ofSetColor(255,200);
    ofDrawCircle(x,y,minRadius);
}
