#include "ofApp.h"
//--------------------------------------------------------------
void ofApp::setup(){
    ofBackground(0);
    ofSetCircleResolution(100);
}
//--------------------------------------------------------------
void ofApp::update(){
    for(int i=0;i<pulseCircle.size();i++){
        for(int k=i+1;k<pulseCircle.size();k++){
            float distance = ofDist(pulseCircle[i].x,pulseCircle[i].y,pulseCircle[k].x,pulseCircle[k].y);
            if(distance<pulseCircle[k].minRadius){
                pulseCircle[i].speedX*=-1;
                pulseCircle[i].speedY*=-1;
                pulseCircle[k].speedX*=-1;
                pulseCircle[k].speedY*=-1;
            }
        }
        pulseCircle[i].update();
    }
}
//--------------------------------------------------------------
void ofApp::draw(){
    ofDrawBitmapString("Click to add, pres 'backspace' to delete", 20,20);
    for(int i=0;i<pulseCircle.size();i++){
        if(i>0) ofDrawLine(pulseCircle[i].x,pulseCircle[i].y,pulseCircle[i-1].x,pulseCircle[i-1].y);
        pulseCircle[i].draw();
    }
}
//--------------------------------------------------------------
void ofApp::keyPressed(int key){}
//--------------------------------------------------------------
void ofApp::keyReleased(int key){
    if(key==OF_KEY_BACKSPACE){
       if(pulseCircle.size()>0) pulseCircle.pop_back();
    }
}
//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){}
//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){}
//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){
    MyCircle newCircle;
    newCircle.setup(x, y);
    pulseCircle.push_back(newCircle);
}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseEntered(int x, int y){

}

//--------------------------------------------------------------
void ofApp::mouseExited(int x, int y){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}
